Subject: Re: [PATCH v2 00/10] pack-objects: integrate --path-walk and some --filter options

From: Derrick Stolee <[email-masked]>
Date: Mon, 11 May 2026 09:58:45 -0400

On 5/10/2026 11:05 PM, Junio C Hamano wrote:
> Derrick Stolee <[email-masked]> writes:
> 
>> On 5/5/2026 3:01 PM, Taylor Blau wrote:
>>> On Tue, May 05, 2026 at 12:18:28PM -0400, Derrick Stolee wrote:
>>> ...
>>> I think this is a consequence of us not sending directly-referenced
>>> blobs with `--filter=blob:none` when running the filters through
>>> `--path-walk`. Something like:
>>> ...
>> Thanks for this suggestion. I got pulled away from my investigation, so
>> wasn't to this point yet.
>>> fixes t5310 for me. I haven't looked into any of the other failures yet
>>> since you mentioned that you're looking into them, but let me know if
>>> you want to tag-team any of these.
>>>
>>> (As a related side-note, I noticed that GIT_TEST_PACK_PATH_WALK=1 is not
>>> currently in the TEST-vars CI build.  I'm not sure if there are
>>> historical reasons for leaving it out, but if not I think it would be
>>> worthwhile to add it.)
>> I think the initial idea was that the feature was too niche to add it to
>> the CI builds right away. Your series is going to make it a lot more
>> important, so adding this to CI builds may be valuable.
> 
> Should I expect a new [v3] iteration anytime soon?  Not getting
> antsy, but just going through the "What's cooking" report to see if
> there are things I should immediately advance.

I hope to have a new version today. It was a more substantial change
getting things working correctly and in the right points in time. Lots
of rebases and rewrites have been happening.

Thanks,
-Stolee